Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Method_Request_Updates.h File Reference

`#include "notify_export.h"`
`#include "Method_Request_Updates_T.h"`
`#include "Method_Request.h"`
`#include "EventTypeSeq.h"`
`#include "Proxy.h"`

Include dependency graph for Method_Request_Updates.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Notify_Method_Request_Updates
| Command Object to send updates to proxys. More...
class | TAO_Notify_Method_Request_Updates_No_Copy
| Command Object to send updates to proxys. More...
## Typedefs
typedef TAO_Notify_Method_Request_Updates_T< const TAO_Notify_EventTypeSeq, TAO_Notify_Proxy_Guard, const TAO_Notify_EventTypeSeq &, TAO_Notify_Proxy * > | TAO_Notify_Method_Request_Updates_Base
typedef TAO_Notify_Method_Request_Updates_T< const TAO_Notify_EventTypeSeq &, TAO_Notify_Proxy *, const TAO_Notify_EventTypeSeq &, TAO_Notify_Proxy * > | TAO_Notify_Method_Request_Updates_No_Copy_Base

## Detailed Description

Id:
  Method_Request_Updates.h,v 1.5 2003/07/21 23:51:32 dhinton Exp

Author:
  Pradeep Gore <pradeep@oomworks.com>

## Typedef Documentation

typedef TAO_Notify_Method_Request_Updates_T<const TAO_Notify_EventTypeSeq , TAO_Notify_Proxy_Guard , const TAO_Notify_EventTypeSeq& , TAO_Notify_Proxy* > TAO_Notify_Method_Request_Updates_Base

typedef TAO_Notify_Method_Request_Updates_T<const TAO_Notify_EventTypeSeq& , TAO_Notify_Proxy* , const TAO_Notify_EventTypeSeq& , TAO_Notify_Proxy* > TAO_Notify_Method_Request_Updates_No_Copy_Base